// Uploading files
var file_frame;

jQuery('.upload_image_button').live('click', function( event ){

    event.preventDefault();

    // If the media frame already exists, reopen it.
    if ( file_frame ) {
        file_frame.open();
        return;
    }


    // Create the media frame.
    file_frame = wp.media.frames.file_frame = wp.media({
        title: jQuery( this ).data( 'uploader_title' ),
        button: {
            text: jQuery( this ).data( 'uploader_button_text' ),
        },
        multiple: false  // Set to true to allow multiple files to be selected
    });

    // When an image is selected, run a callback.
    file_frame.on( 'select', function() {
        // We set multiple to false so only get one image from the uploader
        var attachment = file_frame.state().get('selection').first().toJSON();
        var thumb_url = attachment.sizes.thumbnail.url;
        console.log('attachment:',attachment);
        jQuery('#watermark_image_url').val(thumb_url);
        jQuery('#watermark_image_id').val(attachment.id);
        jQuery('.upload_image_button').attr('src', thumb_url);

        // Do something with attachment.id and/or attachment.url here
    });



    // Finally, open the modal
    file_frame.open();
    var items = jQuery('.media-router a.media-menu-item');
    if(items.length === 2){
        // jQuery(items[1]).removeClass('active');
        // jQuery(items[0]).click();
        // jQuery(items[1]).remove();
    }
    // console.log('items:',  jQuery('.media-router a.media-menu-item'));

});